<script setup lang="ts">
import { useStore } from "vuex";
import LineBox from "@/components/BoxLine.vue";
import StopBox from "@/components/BoxStop.vue";

const store = useStore();

const selectLine = (line: number) => {
	store.commit("selectLine", line);
}
</script>

<template>
	<div class="home-view row gap-4">
		<div class="col col-12">
			<div class="row p-2 pt-4 pb-4 gap-4 bg-white app-rounded">
				<div class="col col-12">
					<p class="home-view__title m-0">Select Bus Line</p>
				</div>
				<div class="col col-12">
					<div class="row">
						<div
								class="home-view__item p-0"
								v-for="line in store.getters.getUniqueLines"
								:key="line"
						>
							<button
									type="button"
									class="home-view__line btn app-btn-primary p-0"
									:class="{ active: store.state.selectedLine.line === line }"
									@click="selectLine(line)"
							>
								{{ line }}
							</button>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="col col-12">
			<div class="row gap-4">
				<LineBox />
				<StopBox />
			</div>
		</div>
	</div>
</template>

<style scoped lang="scss">
.home-view {
	&__title {
		font-weight: 600;
		font-size: 14px;
		line-height: 24px;
	}
	&__item {
		width: 54px;
		margin-right: 0;
		margin-bottom: 10px;
		margin-left: 10px !important;
	}
	&__line {
		width: 54px;
		height: 32px;
		color: white;
		&:hover {
			color: white !important;
			background-color: #1649CA !important;
		}
	}
	.app-btn-primary {
		background-color: #1952E1;
		&.active {
			color: white;
			background-color: #2E3E6E;
			border: unset;
		}
	}
}
</style>
